@import "./variables.css";

.wrap {
  margin: 0.5rem 1rem;
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  width: 100%;
  max-width: 24rem;
  border: var(--border);
  box-sizing: border-box;
}

input {
  border-color: transparent;
  padding: 6px 10px;
  flex: 1;
}

input:focus {
  border-color: var(--primary);
}

.icon {
  --size: 1rem;
  width: var(--size);
  height: var(--size);
}

.submit {
  display: flex;
  align-items: center;
}
